/*
 * @(#) $Id: mapupdate.h,v 1.1 2004/06/14 13:51:08 yeti Exp $
 * This is a plugin for the GIMP.
 *
 * Copyright (C) 2004 Yeti (David Necas) <yeti@physics.muni.cz>.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */

#ifndef MAPUPDATE_H
#define MAPUPDATE_H

#include "somtree.h"

typedef void (*MapUpdateFunc)(gint width, gint height, gdouble *som,
                              gint m, gdouble w, gdouble *vec,
                              gint size, gdouble *kernel,
                              gint depth, TreeLevel **bbtree,
                              gboolean use_somtree);

void update_map_square       (gint width, gint height, gdouble *som,
                              gint m, gdouble w, gdouble *vec,
                              gint size, gdouble *kernel,
                              gint depth, TreeLevel **bbtree,
                              gboolean use_somtree);
void update_map_h_cylinder   (gint width, gint height, gdouble *som,
                              gint m, gdouble w, gdouble *vec,
                              gint size, gdouble *kernel,
                              gint depth, TreeLevel **bbtree,
                              gboolean use_somtree);
void update_map_v_cylinder   (gint width, gint height, gdouble *som,
                              gint m, gdouble w, gdouble *vec,
                              gint size, gdouble *kernel,
                              gint depth, TreeLevel **bbtree,
                              gboolean use_somtree);
void update_map_torus        (gint width, gint height, gdouble *som,
                              gint m, gdouble w, gdouble *vec,
                              gint size, gdouble *kernel,
                              gint depth, TreeLevel **bbtree,
                              gboolean use_somtree);

#endif
