/*
 * @(#) $Id: somtree.h,v 1.4 2004/06/14 18:10:57 yeti Exp $
 * This is a plugin for the GIMP.
 *
 * Copyright (C) 2004 Yeti (David Necas) <yeti@physics.muni.cz>.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */

#ifndef SOMTREE_H
#define SOMTREE_H

#include <glib.h>

typedef struct {
  gint width;
  gint height;
  gdouble *min;
  gdouble *max;
  gint iter;
} TreeLevel;

TreeLevel**
allocate_tree(gint width, gint height, gint len,
              gint *depth);

gdouble*
tree_statistics(gint width, gint height, gint len, gint depth,
                TreeLevel **bbtree);

void
update_bounding_boxes(gint width, gint height, gint len,
                      gdouble *som,
                      gint depth,
                      TreeLevel **bbtree,
                      gint ulcol, gint ulrow,
                      gint brcol, gint brrow);

gint
find_best_match(gint width, gint height, gint len,
                gdouble *som,
                gint depth,
                TreeLevel **bbtree,
                gdouble *vec);

gint
find_best_match_slow(gint width, gint height, gint len,
                     gdouble *som,
                     gdouble *vec);

#endif
